$onempty

set t
/t1*t5/
alias(t,tt)

parameter x0
/ /;

parameter umin, umax;
umin = -2;
umax = 2;

variables x,u,obj

equations dynamics(t,tt), objective, initial(t);

dynamics(t,tt)$(ord(tt) eq ord(t)+1).. x(tt) =E= x(t)+u(t);

objective.. obj =E= sum(t, x(t)*x(t)) + sum(t, u(t)*u(t));

initial(t)$(ord(t) eq 1)..
x(t) =E= x0;


u.Lo(t) = umin;
u.Up(t) = umax;

model mpc /all/
solve mpc using NLP minimizing obj;
display u.L;
