clear
clc

inputFileName = 'Py_out.mat';
outputFileName = 'Matlab_out.mat';
[currDir,~,~] = fileparts(mfilename('fullpath'));  %current folder
delete Py_out.mat

x0 = 11;
nsim = 200;
xTotal = x0;
uTotal = [];
for i = 1:nsim
    x = x0;
    save(outputFileName, 'x')
    while(exist(inputFileName) == 0)
        pause(0.05)
    end
    load(inputFileName);
    u = double(u);
    x0 = x+u+randn();
    xTotal = [xTotal; x0];  
    uTotal = [uTotal; u];  
    delete Py_out.mat
    end



subplot(2,1,1)
plot(xTotal)
subplot(2,1,2)
plot(uTotal)
    